<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Map.html">Map</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">gg::Map Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classgg_1_1Map.html">gg::Map</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#a9177e1c9a4857d524f94bb302b8ee7a8">ChangeLocation</a>()</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#ae9eb74d5200bd9ebec980e31c5611298">ChangeTile</a>(Tile *, Tile *)</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#a0144d50a38f0009ae27c8dd1e8e189e2">CreateCanalTile</a>(sf::Vector2f coordinates) -&gt; TerrainTile *</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#ac61d0c10d7d97efcc02442ceb7837781">CreateGrassTile</a>(sf::Vector2f coordinates) -&gt; TerrainTile *</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#a35b3d781ff55c72bf709d37d7e368cf4">CreateIndustrialTile</a>(sf::Vector2f coordinates) -&gt; BuildingTile *</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#a0ba0aa7796a4478c56bde6efff1fe094">CreateResidentialTile</a>(sf::Vector2f coordinates) -&gt; BuildingTile *</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#a422a0accec11601b74e894f49ac43d52">CreateRoadTile</a>(sf::Vector2f coordinates, RoadType roadType) -&gt; RoadTile *</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#a9889aeb4d9d1c7d4e758c6e858b551c3">CreateTreeTile</a>(sf::Vector2f coordinates) -&gt; TerrainTile *</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#a4128f6e11fbb519156cdbdc6c46598a6">CreateWaterDownTile</a>(sf::Vector2f coordinates) -&gt; TerrainTile *</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#ad6d8d27541c3d337e8e3659ed175ae19">CreateWaterTile</a>(sf::Vector2f coordinates) -&gt; TerrainTile *</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#ad8e46e7efd7649d812d494893d374c84">draw</a>(sf::RenderWindow &amp;window)</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#abfc7f2a9da7831b7d3e6dd049535416b">LoadFromXML</a>(const XMLDocument &amp;)</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#a2ef8c67d44425d20ee7308b43254fd91">Map</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#aa0c694c9227698769a93f49838195360">mBegin</a></td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#a4b0a1fe7ee107aa46f7828149f3b3557">mCanalAttributes</a></td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#a788f46a8ab34327503a10af9b36800d5">mGrassAttributes</a></td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#a50031a1279a761fa3e5f85a43a13305c">mHeight</a></td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#a16b8ca70d9aa145242d4d9da2ec98d14">mIndustrialAttributes</a></td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#aacfc3a30c868a2a32cd27c1e5ed77806">MoveMap</a>(float x, float y)</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#ac22338ca9e8d796a4e54306c475c6f44">mResidentialAttributes</a></td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#aa67ab84e40e97b70638d97c23d6b35c1">mRoadAttributes</a></td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#a18faf048795c8c32358905ab6c094742">mTiles</a></td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#ac75a2f7eb85b5c8e371ee7bddf5d6977">mTileSize</a></td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#a7075005892d768dd8d31a25bc7a1fe41">mTreeAttributes</a></td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#a7c7f62271a61e86c842ca09538696c59">mWaterAttributes</a></td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#a8b6377fce0335a7f59f420e934f9489b">mWaterDownAttributes</a></td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#a381f238efdcb30cc28663354a945486a">mWidth</a></td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#a982ba8264fecaa86d40100bf619467da">SaveToFilename</a>(const std::string &amp;)</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#ae9ad6fed856fe51fe3f62d510a390560">SetActive</a>(bool b)</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#a58eae1a48c136ff89af8831949f80127">SetBegin</a>(sf::Vector2f begin)</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#ad22218898e8860365782844f7ec1efcd">SetHeight</a>(unsigned int height)</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#a018473c20f94a257cb21bd60cf45aae9">SetTileSize</a>(sf::Vector2f tileSize)</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#a51c8f9164f76be79cab3b7a095c60a92">SetWidth</a>(unsigned int width)</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Map.html#a6aa5289361af1a7dbc68bf97f5722e17">Update</a>()</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Map.html#aacb91ed35bf44fa0486c32137bec1f3d">~Map</a>()</td><td class="entry"><a class="el" href="classgg_1_1Map.html">gg::Map</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
